Unit DGDialogs;

{$F+}
{$O+}

Interface

Uses
 Crt, Dos, Strings, Graph, ms_mouse, DGWidget;

 PDialogBox = ^TDialogBox;
 TDialogBox = object
  private:
   X1,Y1,X2,Y2:integer;
   Title:string;

  public:
   procedure define(X1,Y1,X2,Y2:integer; Title:string; widgets:wlist);
   procedure draw;
   function Check:msg;
 end;




Implementation

{---------------------------------------------------------------------}
Procedure DialogBox.draw();

 Begin
  hide_cursor;
  SetColor(0); Rectangle(X1,Y1,X2,Y2);
  SetFillStyle(1,0); FloodFill(X1+1,Y1+1,0);
  SetColor(7);
  Rectangle(X1,Y1,X2,Y2);
  Rectangle(X1+5,Y1+20,X2-5,Y2-5);
  SetFillStyle(1,4);
  FloodFill(X1+2,Y1+2,7);
  SetFillStyle(1,3);
  FloodFill(X1+6,Y1+21,7);
  SetColor(8); Rectangle(X1+5,Y1+2,X1+18,Y1+18);
  SetFillStyle(1,7);
  FloodFill(X1+6,Y1+6,8);
  SetColor(2);
  SetTextJustify(LeftText,TopText);
  SetTextStyle(DefaultFont,HorizDir,2);
  OutTextXY(X1+30,Y1+3,Title);
  show_cursor;
 End;
{---------------------------------------------------------------------}

end.
